body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #000;
    font-family: roboto;
    font-size: 40px;
    /* border: 4px solid #5500FF; */
    border-radius: 1px;
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    overflow: hidden;
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
}

a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 100%;
    background-image: repeating-linear-gradient(-45deg, #FFF, #FFF 20px, #5500FF 20px, #5500FF 40px);
    z-index: -1;
    transition: all 0.3s;
}

a:hover::before{
    transform: translateX(-5%);
}

/* a:hover{
    background-image: repeating-linear-gradient(45deg, #FFF, #FFF 20px, #5500FF 20px, #5500FF 40px);
} */